<?php

namespace Drupal\accessibility_menu;

use Drupal\Core\StringTranslation\StringTranslationTrait;

/**
 * AccessibilityMenu service class.
 */
class AccessibilityMenu {

  use StringTranslationTrait;

  /**
   * Returns list of options.
   */
  public function getSettings(): array {
    $settings = [
      'contrast'       => [
        'title'   => $this->t('Contrast settings'),
        'options' => [
          0 => [
            'title' => $this->t('High contrast'),
          ],
          1 => [
            'title' => $this->t('Inversion'),
          ],
          2 => [
            'title' => $this->t('White'),
          ],
          3 => [
            'title' => $this->t('Comfort'),
          ],
        ],
      ],
      'font_size'      => [
        'title'   => $this->t('Font size'),
        'options' => [
          0 => [
            'title' => $this->t('Font size'),
          ],
          1 => [
            'title' => $this->t('Font size'),
          ],
          2 => [
            'title' => $this->t('Font size'),
          ],
          3 => [
            'title' => $this->t('Font size'),
          ],
        ],
      ],
      'letter_spacing' => [
        'title'   => $this->t('Letter spacing'),
        'options' => [
          0 => [
            'title' => $this->t('Increased interval'),
          ],
          1 => [
            'title' => $this->t('Moderate interval'),
          ],
          2 => [
            'title' => $this->t('Wide interval'),
          ],
        ],
      ],
      'line_height'    => [
        'title'   => $this->t('Line height'),
        'options' => [
          0 => [
            'title' => $this->t('Line height (@value)', [
              '@value' => '1.5x',
            ]),
          ],
          1 => [
            'title' => $this->t('Line height (@value)', [
              '@value' => '1.75x',
            ]),
          ],
          2 => [
            'title' => $this->t('Line height (@value)', [
              '@value' => '2x',
            ]),
          ],
        ],
      ],
      'images'         => [
        'title'   => $this->t('Images'),
        'options' => [
          0 => [
            'title' => $this->t('Grayscale'),
          ],
          1 => [
            'title' => $this->t('Disabled'),
          ],
        ],
      ],
      'font_style'     => [
        'title'   => $this->t('Font'),
        'options' => [
          0 => [
            'title' => $this->t('Serif'),
          ],
          1 => [
            'title' => $this->t('Sans serif'),
          ],
        ],
      ],
    ];
    return $settings;
  }

}
