<?php

namespace Drupal\accessibility_menu\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Render\Markup;

/**
 * Provides a block to display 'Accessibility menu'.
 *
 * @Block(
 *   id = "accessibility_menu",
 *   admin_label = @Translation("Accessibility menu"),
 * )
 */
class AccessibilityMenu extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $path = \Drupal::service('extension.path.resolver')
      ->getPath('module', 'accessibility_menu');
    $content = file_get_contents($path . '/misc/accessibility_menu.js');
    return [
      '#theme'    => 'accessibility_menu',
      '#info'     => [
        'items' => \Drupal::getContainer()
          ->get('accessibility_menu')
          ->getSettings(),
      ],
      '#attached' => [
        'library'   => [
          'accessibility_menu/css',
        ],
        'html_head' => [
          [
            [
              '#tag'   => 'script',
              '#value' => Markup::create($content),
            ],
            'accessibility_js',
          ],
        ],
      ],
    ];
  }

}
